/*!
 *****************************************************************************
 * @file:   ADuCM410_Setup.c
 * @brief:  setup for ADuCM410
 *-----------------------------------------------------------------------------
 *
Copyright (c) 2013-2018 Analog Devices, Inc. All Rights Reserved.

This software is proprietary to Analog Devices, Inc. and its licensors.
By using this software you agree to the terms of the associated
Analog Devices Software License Agreement.
 ******************************************************************************/

#include "WdtLib.h"
#include "ClkLib.h"
#include "GptLib.h"

/*
   User can change following cofiguraion according to application
*/
CLK_SETUP_t gClkSetup = 
{
   //--------- configuration ---------
   .pllEn = 1,
   .rootClkMux = ENUM_CLOCK_CLKCON0_CLKMUX_SPLL,
   .analogClkMux = ENUM_CLOCK_CLKCON0_ANACLKMUX_HFOSC,
    

//-----------------Clock Divider -------------   
   .hclkDiv = ENUM_CLOCK_CLKCON1_CDHCLK_DIV1,
   .pclk0Div = ENUM_CLOCK_CLKCON1_CDPCLK0_DIV8,
   .pclk1Div = ENUM_CLOCK_CLKCON1_CDPCLK1_DIV8,
    
   .clockOff = 0x00000000,  //all clock on

   //---------Interrupt------------
   .pllIntEn = 0,    //0 - disalbe interrrupt related to PLL

   //-------TEST CLOCK -------
   .clkOutput = ENUM_CLOCK_CLKCON0_CLKOUT_B1_PCLK,
};

GPT_SETUP_t gGpt0Setup = 
{
   .clockSource = ENUM_TMR_CON_CLK_PCLK0,
  //.clockSource = ENUM_TMR_CON_CLK_HCLK,
   .prescaler=ENUM_TMR_CON_PRE_DIV1OR4,
   .countUp = 0,  //counting down
   .periodicMode = 1,
   .loadValue = 20000,   //
   .reload = 1,
};


